
import Vue from 'vue'

import util from './utils.js'
import time from './timeUtils.js'

import 'dayjs/locale/zh-cn'
import dayjs from 'dayjs'
import md5 from './lib/md5.js'


// #ifdef H5
import jWeixin from './lib/jweixin-module.js'
import { wxPay }  from './pay.js'
Vue.prototype.$jWeixin = jWeixin
Vue.prototype.$wxPay = wxPay
// #endif

dayjs.locale('zh-cn')

import Oss from '@/utils/oss-upload/oss/index.js'
import { handleTree } from './tree.js'

Vue.prototype.$handleTree = handleTree
Vue.prototype.$Oss = Oss
Vue.prototype.$dayjs = dayjs

Vue.prototype.$timeUtils = time
Vue.prototype.$utils = util
Vue.prototype.$md5 = md5


Vue.prototype.previewImage = (urls, current) => {
	uni.previewImage({
		urls,
		current,
	})
}
Vue.prototype.openLocation = (latitude, longitude) => {
	if(!latitude || !longitude){
		return
	}
	uni.openLocation({
		latitude : Number(latitude),
		longitude : Number(longitude),
	})
}